> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-api-common-tasks-cookbook.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update

> Update a user attribute mapping by its mapping ID. The display name and app user profile attribute key are derived from attribute_type. Profile type bindings are updated only when update_mask contains profile_type_ids.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples put /api/v1/user-attribute-mappings/{id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/user-attribute-mappings/{id}:
    put:
      tags:
        - UserAttributeMappings
      summary: Update
      description: >-
        Update a user attribute mapping by its mapping ID. The display name and
        app user profile attribute key are derived from attribute_type. Profile
        type bindings are updated only when update_mask contains
        profile_type_ids.
      operationId: c1.api.user.v1.UserAttributeManagementService.Update
      parameters:
        - in: path
          name: id
          required: true
          schema:
            description: The id field.
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.user.v1.UserAttributeManagementServiceUpdateRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.user.v1.UserAttributeManagementServiceUpdateResponse
          description: Successful response
components:
  schemas:
    c1.api.user.v1.UserAttributeManagementServiceUpdateRequestInput:
      description: The UserAttributeManagementServiceUpdateRequest message.
      properties:
        attributeType:
          oneOf:
            - $ref: '#/components/schemas/c1.api.user.v1.UserAttributeType'
            - type: 'null'
        expandMask:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.user.v1.UserAttributeMapConfigExpandMask
            - type: 'null'
        fallbacks:
          description: The fallbacks field.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.UserAttributeMappingFallback'
          type:
            - array
            - 'null'
        profileTypeIds:
          description: The profileTypeIds field.
          items:
            type: string
          type:
            - array
            - 'null'
        updateMask:
          type:
            - string
            - 'null'
      required:
        - attributeType
      title: User Attribute Management Service Update Request
      type: object
      x-speakeasy-name-override: UserAttributeManagementServiceUpdateRequest
    c1.api.user.v1.UserAttributeManagementServiceUpdateResponse:
      description: The UserAttributeManagementServiceUpdateResponse message.
      properties:
        attribute:
          oneOf:
            - $ref: '#/components/schemas/c1.api.user.v1.UserAttributeMappingView'
            - type: 'null'
        expanded:
          description: The expanded field.
          items:
            additionalProperties: true
            description: >-
              Contains an arbitrary serialized message along with a @type that
              describes the type of the serialized message.
            properties:
              '@type':
                description: The type of the serialized message.
                type: string
            type: object
          type:
            - array
            - 'null'
      title: User Attribute Management Service Update Response
      type: object
      x-speakeasy-name-override: UserAttributeManagementServiceUpdateResponse
    c1.api.user.v1.UserAttributeType:
      description: >
        The UserAttributeType message.


        This message contains a oneof named config. Only a single field of the
        following list may be set at a time:
          - app
          - appUserProfile
          - customAppUserProfile
          - celExpression
      properties:
        app:
          oneOf:
            - $ref: '#/components/schemas/c1.api.user.v1.UserAttributeTypeConfigApp'
            - type: 'null'
        appUserProfile:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.user.v1.UserAttributeTypeConfigAppUserProfile
            - type: 'null'
        celExpression:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.user.v1.UserAttributeTypeConfigCelExpression
            - type: 'null'
        customAppUserProfile:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.user.v1.UserAttributeTypeConfigCustomAppUserProfile
            - type: 'null'
        displayName:
          description: The displayName field.
          type: string
        id:
          description: The id field.
          type: string
      required:
        - id
      title: User Attribute Type
      type: object
      x-speakeasy-name-override: UserAttributeType
    c1.api.user.v1.UserAttributeMapConfigExpandMask:
      description: The UserAttributeMapConfigExpandMask message.
      properties:
        paths:
          description: The paths field.
          items:
            type: string
          type:
            - array
            - 'null'
      title: User Attribute Map Config Expand Mask
      type: object
      x-speakeasy-name-override: UserAttributeMapConfigExpandMask
    c1.api.user.v1.UserAttributeMappingFallback:
      description: >
        The UserAttributeMappingFallback message.


        This message contains a oneof named fallback. Only a single field of the
        following list may be set at a time:
          - app
          - appUserProfile
          - celExpression
      properties:
        app:
          oneOf:
            - $ref: '#/components/schemas/c1.api.user.v1.UserAttributeTypeConfigApp'
            - type: 'null'
        appUserProfile:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.user.v1.UserAttributeTypeConfigAppUserProfile
            - type: 'null'
        celExpression:
          oneOf:
            - $ref: >-
                #/components/schemas/c1.api.user.v1.UserAttributeTypeConfigCelExpression
            - type: 'null'
      title: User Attribute Mapping Fallback
      type: object
      x-speakeasy-name-override: UserAttributeMappingFallback
    c1.api.user.v1.UserAttributeMappingView:
      description: The UserAttributeMappingView message.
      properties:
        appPath:
          description: The appPath field.
          type: string
        fallbacksPath:
          description: The fallbacksPath field.
          type: string
        userAttributeMapping:
          oneOf:
            - $ref: '#/components/schemas/c1.api.user.v1.UserAttributeMapping'
            - type: 'null'
      title: User Attribute Mapping View
      type: object
      x-speakeasy-name-override: UserAttributeMappingView
    c1.api.user.v1.UserAttributeTypeConfigApp:
      description: The UserAttributeTypeConfigApp message.
      properties:
        appId:
          description: The appId field.
          type: string
      title: User Attribute Type Config App
      type: object
      x-speakeasy-name-override: UserAttributeTypeConfigApp
    c1.api.user.v1.UserAttributeTypeConfigAppUserProfile:
      description: The UserAttributeTypeConfigAppUserProfile message.
      properties:
        appId:
          description: The appId field.
          type: string
        appUserProfileAttributeKey:
          description: The appUserProfileAttributeKey field.
          type: string
      title: User Attribute Type Config App User Profile
      type: object
      x-speakeasy-name-override: UserAttributeTypeConfigAppUserProfile
    c1.api.user.v1.UserAttributeTypeConfigCelExpression:
      description: The UserAttributeTypeConfigCelExpression message.
      properties:
        celExpression:
          description: The celExpression field.
          type: string
        userProfileAttributeKey:
          description: The userProfileAttributeKey field.
          type: string
      title: User Attribute Type Config Cel Expression
      type: object
      x-speakeasy-name-override: UserAttributeTypeConfigCelExpression
    c1.api.user.v1.UserAttributeTypeConfigCustomAppUserProfile:
      description: The UserAttributeTypeConfigCustomAppUserProfile message.
      properties:
        appId:
          description: The appId field.
          type: string
        appUserProfileAttributeKey:
          description: The appUserProfileAttributeKey field.
          type: string
        userProfileAttributeKey:
          description: The userProfileAttributeKey field.
          type: string
      title: User Attribute Type Config Custom App User Profile
      type: object
      x-speakeasy-name-override: UserAttributeTypeConfigCustomAppUserProfile
    c1.api.user.v1.UserAttributeMapping:
      description: The UserAttributeMapping message.
      properties:
        appId:
          description: The appId field.
          type: string
        appUserProfileAttributeKey:
          description: The appUserProfileAttributeKey field.
          type: string
        attributeType:
          oneOf:
            - $ref: '#/components/schemas/c1.api.user.v1.UserAttributeType'
            - type: 'null'
        count:
          description: The count field.
          format: int32
          type: integer
        createdAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        displayName:
          description: The displayName field.
          type: string
        evaluationErrorCount:
          description: The evaluationErrorCount field.
          format: int32
          readOnly: true
          type: integer
        fallbacks:
          description: The fallbacks field.
          items:
            $ref: '#/components/schemas/c1.api.user.v1.UserAttributeMappingFallback'
          type:
            - array
            - 'null'
        id:
          description: The id field.
          type: string
        priority:
          description: The priority field.
          format: uint32
          readOnly: true
          type: integer
        profileTypeIds:
          description: >-
            Profile type bindings are read from an asynchronously updated
            projection and may be temporarily stale immediately after a create
            or update.
          items:
            type: string
          readOnly: true
          type:
            - array
            - 'null'
        updatedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
      title: User Attribute Mapping
      type: object
      x-speakeasy-name-override: UserAttributeMapping
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````